﻿using System.Diagnostics;
using NAudio.Wave;

namespace Elementary.Audio;

public interface IAudioConverter
{
    WaveFormatConversionStream CreateStreamFromFilePath(string path, float volume = 1.0f);

    WaveFormatConversionStream CreateStreamFromStream(Stream stream);
    
    WaveFormatConversionStream CreateStreamFromStream(Stream stream, float volume = 1.0f);
}